<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>    </data>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:background="@color/transparent">

        <androidx.cardview.widget.CardView
            android:layout_width="510dp"
            android:layout_height="690dp"
            android:layout_margin="100dp"
            app:cardCornerRadius="10dp"
            app:cardElevation="40dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintVertical_bias="0.3">

            <androidx.constraintlayout.widget.ConstraintLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent">

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    app:layout_constraintTop_toTopOf="parent">

                    <ImageView
                        android:id="@+id/iv_dialog_close"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:padding="30dp"
                        android:src="@mipmap/cancel"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <View
                        android:layout_width="10dp"
                        android:layout_height="40dp"
                        android:layout_marginTop="30dp"
                        android:background="#00A1FF"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                    <TextView
                        android:id="@+id/tv_title"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="start"
                        android:layout_margin="30dp"
                        android:text="@string/air_conditioning"
                        android:textColor="#38ADFF"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent" />

                </androidx.constraintlayout.widget.ConstraintLayout>

                <androidx.constraintlayout.widget.ConstraintLayout
                    android:id="@+id/constraintLayout5"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <androidx.cardview.widget.CardView
                        android:id="@+id/cardView9"
                        android:layout_width="400dp"
                        android:layout_height="180dp"
                        android:layout_marginTop="120dp"
                        android:background="#F2F0F1"
                        app:cardCornerRadius="20dp"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toTopOf="parent">

                        <androidx.constraintlayout.widget.ConstraintLayout
                            android:layout_width="match_parent"
                            android:layout_height="match_parent">

                            <TextView
                                android:id="@+id/tv_air_temperature"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:gravity="center"
                                app:layout_constraintHorizontal_bias="0.48"
                                android:text="18"
                                android:textSize="100sp"
                                app:layout_constraintBottom_toBottomOf="parent"
                                app:layout_constraintEnd_toEndOf="parent"
                                app:layout_constraintStart_toStartOf="parent"
                                app:layout_constraintTop_toTopOf="parent" />

                            <TextView
                                android:id="@+id/textView11"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:layout_marginTop="25dp"
                                android:layout_marginStart="10dp"
                                android:gravity="center"
                                android:text="@string/T_symbol"
                                app:layout_constraintStart_toEndOf="@+id/tv_air_temperature"
                                app:layout_constraintTop_toTopOf="@+id/tv_air_temperature" />

                            <TextView
                                android:id="@+id/air_mode_state"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center"
                                android:layout_marginEnd="30dp"
                                android:layout_marginBottom="10dp"
                                android:gravity="center"
                                android:textSize="24sp"
                                app:layout_constraintBottom_toBottomOf="parent"
                                app:layout_constraintEnd_toEndOf="parent" />

                            <ImageView
                                android:id="@+id/iv_mode_state"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_marginEnd="10dp"
                                android:src="@mipmap/heat"
                                app:layout_constraintBottom_toBottomOf="@+id/air_mode_state"
                                app:layout_constraintEnd_toStartOf="@+id/air_mode_state"
                                app:layout_constraintTop_toTopOf="@+id/air_mode_state" />

                        </androidx.constraintlayout.widget.ConstraintLayout>

                    </androidx.cardview.widget.CardView>

                    <androidx.constraintlayout.widget.ConstraintLayout
                        android:id="@+id/cl_air_condition"
                        android:layout_width="500dp"
                        android:layout_height="90dp"
                        android:layout_weight="1"
                        android:layout_marginTop="50dp"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent"
                        app:layout_constraintTop_toBottomOf="@+id/cardView9">

                        <androidx.cardview.widget.CardView
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_margin="5dp"
                            app:cardCornerRadius="40dp"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintStart_toStartOf="parent"
                            app:layout_constraintTop_toTopOf="parent">

                            <ImageView
                                android:id="@+id/btn_air_power"
                                android:layout_width="80dp"
                                android:layout_height="80dp"
                                android:padding="15dp"
                                android:src="@mipmap/open" />
                        </androidx.cardview.widget.CardView>

                        <androidx.cardview.widget.CardView
                            android:layout_width="400dp"
                            android:layout_height="match_parent"
                            android:layout_margin="5dp"
                            app:cardCornerRadius="40dp"
                            app:layout_constraintBottom_toBottomOf="parent"
                            app:layout_constraintEnd_toEndOf="parent"
                            app:layout_constraintTop_toTopOf="parent">

                            <FrameLayout
                                android:layout_width="match_parent"
                                android:layout_height="match_parent">

                                <LinearLayout
                                    android:layout_width="match_parent"
                                    android:layout_height="match_parent"
                                    android:gravity="center_vertical"
                                    android:orientation="horizontal">

                                    <ImageView
                                        android:id="@+id/mode_heat"
                                        android:layout_width="0dp"
                                        android:layout_height="match_parent"
                                        android:layout_weight="1"
                                        android:padding="15dp"
                                        android:src="@mipmap/heat" />

                                    <ImageView
                                        android:id="@+id/mode_auto"
                                        android:layout_width="0dp"
                                        android:layout_height="match_parent"
                                        android:layout_marginHorizontal="20dp"
                                        android:layout_weight="1"
                                        android:padding="15dp"
                                        android:src="@mipmap/auto" />

                                    <ImageView
                                        android:id="@+id/mode_cold"
                                        android:layout_width="0dp"
                                        android:layout_height="match_parent"
                                        android:layout_weight="1"
                                        android:layout_marginEnd="20dp"
                                        android:padding="15dp"
                                        android:src="@mipmap/cold" />
                                    <ImageView
                                        android:id="@+id/mode_dehumidify"
                                        android:layout_width="0dp"
                                        android:layout_height="match_parent"
                                        android:layout_weight="1"
                                        android:padding="15dp"
                                        android:src="@mipmap/cold" />

                                </LinearLayout>

                                <LinearLayout
                                    android:id="@+id/ll"
                                    android:layout_width="match_parent"
                                    android:layout_height="match_parent"
                                    android:gravity="center_vertical"
                                    android:orientation="horizontal">

                                    <ImageView
                                        android:id="@+id/iv_sel_heat"
                                        android:layout_width="0dp"
                                        android:layout_height="match_parent"
                                        android:layout_weight="1"
                                        android:scaleType="center"
                                        android:src="@mipmap/sel_heat" />

                                    <ImageView
                                        android:id="@+id/iv_sel_auto"
                                        android:layout_width="0dp"
                                        android:layout_height="match_parent"
                                        android:layout_marginHorizontal="20dp"
                                        android:layout_weight="1"
                                        android:scaleType="center"
                                        android:src="@mipmap/sel_auto" />

                                    <ImageView
                                        android:id="@+id/iv_sel_cold"
                                        android:layout_width="0dp"
                                        android:layout_height="match_parent"
                                        android:layout_marginRight="20dp"
                                        android:layout_weight="1"
                                        android:scaleType="center"
                                        android:src="@mipmap/sel_cold" />

                                    <ImageView
                                        android:id="@+id/iv_sel_dehumidify"
                                        android:layout_width="0dp"
                                        android:layout_height="match_parent"
                                        android:layout_weight="1"
                                        android:scaleType="center"
                                        android:src="@mipmap/sel_cold" />

                                </LinearLayout>

                            </FrameLayout>

                        </androidx.cardview.widget.CardView>

                    </androidx.constraintlayout.widget.ConstraintLayout>

                    <LinearLayout
                        android:id="@+id/linearLayout14"
                        android:layout_width="500dp"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="10dp"
                        android:layout_marginBottom="50dp"
                        android:orientation="horizontal"
                        app:layout_constraintEnd_toEndOf="@+id/cl_air_condition"
                        app:layout_constraintStart_toStartOf="@+id/cl_air_condition"
                        app:layout_constraintTop_toBottomOf="@+id/cl_air_condition">

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:gravity="center"
                            android:text="开关"
                            android:textSize="24sp" />

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:gravity="left"
                            android:text="   制热"
                            android:textSize="24sp" />

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:gravity="left"
                            android:text="    自动"
                            android:textSize="24sp" />

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:gravity="center"
                            android:text="制冷"
                            android:textSize="24sp" />

                        <TextView
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_weight="1"
                            android:gravity="center"
                            android:text="除湿"
                            android:textSize="24sp" />

                    </LinearLayout>

                    <androidx.cardview.widget.CardView
                        android:id="@+id/cardView8"
                        android:layout_width="400dp"
                        android:layout_height="80dp"
                        android:layout_marginBottom="80dp"
                        app:cardCornerRadius="40dp"
                        app:cardElevation="10dp"
                        app:layout_constraintBottom_toBottomOf="parent"
                        app:layout_constraintEnd_toEndOf="parent"
                        app:layout_constraintStart_toStartOf="parent">

                        <androidx.constraintlayout.widget.ConstraintLayout
                            android:layout_width="match_parent"
                            android:layout_height="match_parent">

                            <ImageView
                                android:id="@+id/btn_air_reduce"
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:layout_marginStart="20dp"
                                android:gravity="center_vertical"
                                android:src="@mipmap/minus"
                                android:textSize="50sp"
                                app:layout_constraintBottom_toBottomOf="parent"
                                app:layout_constraintStart_toStartOf="parent"
                                app:layout_constraintTop_toTopOf="parent" />

                            <ImageView
                                android:id="@+id/btn_air_plus"
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:layout_marginEnd="20dp"
                                android:src="@mipmap/add"
                                android:textAlignment="textEnd"
                                android:textSize="50sp"
                                app:layout_constraintBottom_toBottomOf="parent"
                                app:layout_constraintEnd_toEndOf="parent"
                                app:layout_constraintTop_toTopOf="parent" />

                            <TextView
                                android:layout_width="wrap_content"
                                android:layout_height="match_parent"
                                android:gravity="center_vertical"
                                android:text="@string/temperature"
                                android:textSize="24sp"
                                app:layout_constraintBottom_toBottomOf="parent"
                                app:layout_constraintEnd_toEndOf="parent"
                                app:layout_constraintStart_toStartOf="parent"
                                app:layout_constraintTop_toTopOf="parent" />

                        </androidx.constraintlayout.widget.ConstraintLayout>
                    </androidx.cardview.widget.CardView>

                </androidx.constraintlayout.widget.ConstraintLayout>

            </androidx.constraintlayout.widget.ConstraintLayout>

        </androidx.cardview.widget.CardView>
    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>
